@import url("./global-config.css");

:root {
  --primary: rgb(24, 104, 255);
  --secondary: rgb(0, 23, 95);
  --tertiary: rgb(34, 57, 120);
  --success: rgb(86, 197, 104);
  --selected: rgb(24, 104, 255);
  --hint: rgb(255, 165, 0);
  --failure: rgb(235, 87, 87);
  --text: rgb(89, 109, 134);
  --text2: rgb(255, 255, 255);
  --text3: rgb(0, 23, 95);
  --text5: rgb(255, 255, 255);
  --textBtn: rgb(255, 255, 255);
  --border: rgb(216, 216, 216);
  --background1: rgb(255, 255, 255);
  --background2: rgb(233, 233, 233);
  --background3: linear-gradient(180deg, #34588a 0%, #203767 100%);
  --background4: rgb(0, 63, 183);
  --background5: rgb(15, 54, 107);
  --backgroundfb: rgb(12 39 92 / 20%);
  --background5L1350: linear-gradient(0deg, rgba(0, 0, 0, 0.35), rgba(0, 0, 0, 0.35)), linear-gradient(0deg, var(--background5), var(--background5));
  --background5L850: linear-gradient(0deg, rgba(0, 0, 0, 0.15), rgba(0, 0, 0, 0.15)), linear-gradient(0deg, var(--background5), var(--background5));  

  --font-size: 14px;
  --default-width: 1100px;
  --register-bg: rgb(255, 255, 255);
  --default-width: 100%;
  --primary-filter: brightness(0) saturate(100%) invert(27%) sepia(99%) saturate(3041%) hue-rotate(215deg) brightness(101%) contrast(101%);
  --secondary-filter: brightness(0) saturate(100%) invert(9%) sepia(91%) saturate(2605%) hue-rotate(219deg) brightness(91%) contrast(110%);
  --text5-filter: brightness(0) saturate(100%) invert(99%) sepia(16%) saturate(2%) hue-rotate(225deg) brightness(116%) contrast(100%);

}
:root {
  --bg-opacity: 0;
  --bg-base-color: var(--primary);

  --bo-t: 0;
  --bo-l: 0;
  --bo-w: 100%;
  --bo-h: 2px;
  --bo-z: 1;
  --bo-opacity: 0;
  --bo-base-color: var(--border);
}

.ol-bg-dark {
  background: linear-gradient(0deg,
      rgba(0, 0, 0, var(--bg-opacity)) 0%,
      rgba(0, 0, 0, var(--bg-opacity)) 100%),
    var(--bg-base-color);
}

.ol-bg-light {
  background: linear-gradient(0deg,
      rgba(255, 255, 255, var(--bg-opacity)) 0%,
      rgba(255, 255, 255, var(--bg-opacity)) 100%),
    var(--bg-base-color);
}

.ol-bo-dark {
  position: relative;
}

.ol-bo-dark::after {
  content: "";
  position: absolute;
  width: var(--bo-w);
  height: var(--bo-h);
  top: var(--bo-t);
  left: var(--bo-l);
  z-index: var(--bo-z);
  background: linear-gradient(0deg,
      rgba(0, 0, 0, var(--bo-opacity)) 0%,
      rgba(0, 0, 0, var(--bo-opacity)) 100%),
    var(--bo-base-color);
}

.ol-bo-light {
  position: relative;
}

.ol-bo-light::after {
  content: "";
  position: absolute;
  width: var(--bo-w);
  height: var(--bo-h);
  top: var(--bo-t);
  left: var(--bo-l);
  z-index: var(--bo-z);
  background: linear-gradient(0deg,
      rgba(255, 255, 255, var(--bo-opacity)) 0%,
      rgba(255, 255, 255, var(--bo-opacity)) 100%),
    var(--bo-base-color);
}

/**
  color system classes end
*/